Cmd palette
CompozyOS Cmd palette HTTP endpoints.
workspace*stringWorkspace id, name, or path
OK
application/json- response
[index: integer]?curl -X GET "https://example.com/api/cmd-palette/clients?workspace=string"[ { "attached_at": "2019-08-24T14:15:22Z", "client_id": "string", "kind": "string", "workspace": "string" }]workspace*stringWorkspace id, name, or path
client?stringAttached client whose context resolves availability
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
catalog_revision*stringcommands*array<>context_revision?stringprofile_lens*sources*array<>curl -X GET "https://example.com/api/cmd-palette/commands?workspace=string"{ "catalog_revision": "string", "commands": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "alias": "string", "arguments": [ { "name": "string", "options": [ "string" ], "placeholder": "string", "required": true, "type": "string" } ], "availability_exempt": true, "available": true, "bindings": [ "string" ], "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "execution": { "retry_safe": true, "single_flight": true }, "global_shortcut": { "active_chord": "string", "intended_chord": "string", "reason": "string", "settings_url": "string", "status": "string" }, "icon": "string", "id": "string", "keywords": [ "string" ], "reason": "string", "section": "string", "source": "string", "title": "string", "when": [ { "key": "string", "operator": "string", "reason": "string", "value": null } ] } ], "context_revision": "string", "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "sources": [ { "reason": "string", "source": "string", "status": "string" } ]}id*stringCanonical command id
profile?stringAct as this profile by name
X-Compozy-Client-Token*stringAttached client identity token
JSON request body
application/json- body
args*client?stringworkspace*stringCompleted
application/json- response
approval_id?stringinvocation_id*stringprofile_lens*result?unknownstatus*stringcurl -X POST "https://example.com/api/cmd-palette/commands/string/invoke" \ -H "X-Compozy-Client-Token: string" \ -H "Content-Type: application/json" \ -d '{ "args": { "property1": null, "property2": null }, "workspace": "string" }'{ "approval_id": "string", "invocation_id": "string", "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "result": null, "status": "string"}workspace*stringWorkspace id, name, or path
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
frecency_entries*integerpins*array<string>profile_lens*query_associations*integerrecents*integerworkspace*stringcurl -X GET "https://example.com/api/cmd-palette/personalization?workspace=string"{ "frecency_entries": 0, "pins": [ "string" ], "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "query_associations": 0, "recents": 0, "workspace": "string"}workspace*stringWorkspace id, name, or path
profile?stringAct as this profile by name
Reset
application/json- response
status*stringcurl -X DELETE "https://example.com/api/cmd-palette/personalization?workspace=string"{ "status": "string"}id*stringCanonical command id
workspace*stringWorkspace id, name, or path
profile?stringAct as this profile by name
Unpinned
application/json- response
pinned*booleancurl -X DELETE "https://example.com/api/cmd-palette/pins/string?workspace=string"{ "pinned": true}id*stringCanonical command id
workspace*stringWorkspace id, name, or path
profile?stringAct as this profile by name
Pinned
application/json- response
pinned*booleancurl -X PUT "https://example.com/api/cmd-palette/pins/string?workspace=string"{ "pinned": true}workspace*stringWorkspace id, name, or path
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
pins*array<string>profile_lens*query_hits*array<>revision*stringusage*array<>weights*curl -X GET "https://example.com/api/cmd-palette/rank-signals?workspace=string"{ "pins": [ "string" ], "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "query_hits": [ { "command_id": "string", "query": "string", "weight": 0.1 } ], "revision": "string", "usage": [ { "command_id": "string", "last_used_at": 0, "weight": 0.1 } ], "weights": { "context_boost": 0.1, "deadband": 0.1, "domain_view_mount_cap": 0, "entity_section_visible_cap": 0, "fallback_weak_match_threshold": 0.1, "frecency_cap": 0.1, "frecency_half_life_days": 0, "frecency_scale": 0.1, "ghost_min_score": 0.1, "group_order": [ "string" ], "match_alias_exact": 0.1, "match_compact_prefix": 0.1, "match_contains": 0.1, "match_exact": 0.1, "match_prefix": 0.1, "match_subsequence_max": 0.1, "match_subsequence_min": 0.1, "match_token_prefix": 0.1, "match_word_boundary_max": 0.1, "match_word_boundary_min": 0.1, "max_query_length": 0, "min_entity_query_length": 0, "promotion_command_floor": 0.1, "promotion_default_floor": 0.1, "promotion_path_floor": 0.1, "promotion_tab_floor": 0.1, "prune_after_days": 0, "prune_threshold": 0.1, "query_half_life_days": 0, "query_learning_cap": 0.1, "secondary_field_cap": 0.1, "secondary_field_multiplier": 0.1, "version": 0 }}workspace*stringWorkspace id, name, or path
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
Catalog invalidation stream
text/event-stream- response
catalog_revision*stringprofile_lens*workspace*stringcurl -X GET "https://example.com/api/cmd-palette/stream?workspace=string"{ "catalog_revision": "string", "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "workspace": "string"}profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
JSON request body
application/json- body
command_id*stringquery*stringworkspace*stringRecorded
curl -X POST "https://example.com/api/cmd-palette/usage" \ -H "Content-Type: application/json" \ -d '{ "command_id": "string", "query": "string", "workspace": "string" }'session*stringOpaque view session id
X-Compozy-Client-Token*stringAttached client identity token
Closed
application/json- response
closed*booleancurl -X DELETE "https://example.com/api/cmd-palette/view-sessions/string" \ -H "X-Compozy-Client-Token: string"{ "closed": true}session*stringOpaque view session id
X-Compozy-Client-Token*stringAttached client identity token
JSON request body
application/json- body
ack_effects?array<string>args?array<unknown>effect_result?|nullhandler*stringrevision*stringseq*integerint64Accepted
application/json- response
accepted*booleancurl -X POST "https://example.com/api/cmd-palette/view-sessions/string/events" \ -H "X-Compozy-Client-Token: string" \ -H "Content-Type: application/json" \ -d '{ "handler": "string", "revision": "string", "seq": 0 }'{ "accepted": true}session*stringOpaque view session id
token*stringOpaque session stream token
Session-scoped view frames
text/event-stream- response
effects?array<>generation*integer0 <= value <= 18446744073709552000handlers*array<string>in_reply_to?integerint64patch?|nullpayload?|nullrevision*stringview_session*stringcurl -X GET "https://example.com/api/cmd-palette/view-sessions/string/stream?token=string"{ "effects": [ { "copy": { "content": "string" }, "id": "string", "open_app": { "app": "string" }, "open_url": { "url": "string" }, "pick_files": { "directories": true }, "toast": { "message": "string", "tone": "string" } } ], "generation": 0, "handlers": [ "string" ], "in_reply_to": 0, "patch": { "from": "string", "ops": [ { "op": "string", "path": "string", "value": null } ], "to": "string", "view_id": "string" }, "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "revision": "string", "view_session": "string"}id*stringCanonical view id
workspace*stringWorkspace id, name, or path
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
OK
application/json- response
kind*stringpayload*profile_lens*revision*stringstream_epoch*stringtitle*stringview_id*stringcurl -X GET "https://example.com/api/cmd-palette/views/string?workspace=string"{ "kind": "string", "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "revision": "string", "stream_epoch": "string", "title": "string", "view_id": "string"}id*stringCanonical view id
profile?stringAct as this profile by name
X-Compozy-Client-Token*stringAttached client identity token
JSON request body
application/json- body
args?workspace*stringOpened
application/json- response
first_frame*profile_lens*stream_token*stringview_session*stringcurl -X POST "https://example.com/api/cmd-palette/views/string/open" \ -H "X-Compozy-Client-Token: string" \ -H "Content-Type: application/json" \ -d '{ "workspace": "string" }'{ "first_frame": { "effects": [ { "copy": { "content": "string" }, "id": "string", "open_app": { "app": "string" }, "open_url": { "url": "string" }, "pick_files": { "directories": true }, "toast": { "message": "string", "tone": "string" } } ], "generation": 0, "handlers": [ "string" ], "in_reply_to": 0, "patch": { "from": "string", "ops": [ { "op": "string", "path": "string", "value": null } ], "to": "string", "view_id": "string" }, "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "revision": "string", "view_session": "string" }, "profile_lens": { "profile_lens_id": "string", "profile_name": "string" }, "stream_token": "string", "view_session": "string"}id*stringCanonical view id
workspace*stringWorkspace id, name, or path
after?stringLast applied patch sequence
stream_epoch?stringStream epoch required when after is greater than zero
profile?stringRead one profile's rows by name
all_profiles?booleanRead the owner-labeled all-profiles aggregate
Revision-fenced view patch stream
text/event-stream- response
patch?|nullpayload?|nullreset?booleanrevision*stringsequence*integerint64stream_epoch*stringcurl -X GET "https://example.com/api/cmd-palette/views/string/stream?workspace=string"{ "patch": { "from": "string", "ops": [ { "op": "string", "path": "string", "value": null } ], "to": "string", "view_id": "string" }, "payload": { "chips": [ { "count": 0, "fallback": "string", "id": "string", "label": "string", "requires": { "property1": "string", "property2": "string" } } ], "chrome": { "active_chip": "string", "columns": 0, "complete": true, "event_count": 0, "filtering": true, "is_loading": true, "on_chip": "string", "on_load_more": "string", "on_search": "string", "on_selection": "string", "pagination": { "has_more": true, "page_size": 0 }, "search_placeholder": "string", "search_text": "string", "throttle_ms": 0 }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "empty": { "hint": "string", "icon": "string", "title": "string" }, "form": { "fields": [ { "default": null, "directories": true, "empty_hint": "string", "error": "string", "event_count": 0, "fallback": "string", "id": "string", "label": "string", "on_blur": "string", "on_change": "string", "options": [ "string" ], "placeholder": "string", "required": true, "requires": { "property1": "string", "property2": "string" }, "type": "string" } ], "on_submit": "string", "submit": { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } }, "grid": { "sections": [ { "tiles": [ { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "fallback": "string", "id": "string", "image": { "emoji": "string", "token": "string", "url": "string" }, "requires": { "property1": "string", "property2": "string" }, "title": "string" } ], "title": "string" } ] }, "sections": [ { "rows": [ { "accessories": [ "string" ], "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "badge": { "label": "string", "tone": "string" }, "detail": { "actions": [ { "action": { "app": "string", "args": { "property1": null, "property2": null }, "kind": "string", "op": "string", "tool": "string", "url": "string", "view": "string" }, "confirmation": { "body": "string", "confirm": "string", "title": "string" }, "destructive": true, "fallback": "string", "handler": "string", "icon": "string", "primary": true, "requires": { "property1": "string", "property2": "string" }, "section": "string", "shortcut": "string", "submit_form": true, "title": "string" } ], "is_loading": true, "markdown": "string", "metadata": [ { "fallback": "string", "label": "string", "requires": { "property1": "string", "property2": "string" }, "value": "string" } ] }, "fallback": "string", "icon": "string", "id": "string", "keywords": [ "string" ], "requires": { "property1": "string", "property2": "string" }, "subtitle": "string", "title": "string" } ], "title": "string" } ], "view": "string" }, "reset": true, "revision": "string", "sequence": 0, "stream_epoch": "string"}